/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* config.h                                       */
/* Manage .natow/ directory  */

#ifndef __config_h__
#define __config_h__

#include "world.h"

/* get the .natow/ dir and create it (if possible) */
void init_configdir(World *world);
/* set the video ressouces file name */
int get_config_video(char *file);
/* set the key definition file name */
int get_config_video(char *file);
/* (try to) open the video configuration file */
FILE *open_config_video();
/* (try to) open the key configuration file */
FILE *open_config_key();
/* (try to) create the video configuration file */
FILE *create_config_video();
/* (try to) create the key configuration file */
FILE *create_config_key();


#endif /* __config_h__ */
