/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* cursor.c
   Manage cursor operations */

#include "cursor.h"
#include "world.h"
#include "tools.h"
#include "2d.h"
#include "display_stack.h"

static int cursor_x, cursor_y;

/* init the cursor module */
int init_cursor(World *world)
{/* nothing to do at the moment */
  return(TRUE);
}

/* free the cursor module */
void free_cursor(World *world)
{/* nothing to do at the moment */
}

/* Get the x-position of the cursor */
inline int get_cursor_x(void)
{
  return cursor_x;
}

/* Get the y-position of the cursor */
inline int get_cursor_y(void)
{
  return cursor_y;
}

/* draw the cursor at the given position */
void draw_cursor(World *world)
{
  /* no cursor during game, neither when cursor is outside the window */
  if ((get_display_mode(world) == NATOW_DISPLAY_ROUND)||(!world->cursor_inside))
    return;

  activate_2d();

  draw_2d_text("#@", cursor_x, cursor_y - get_2d_letter_height(0), 0, 0);
  
  deactivate_2d();
}

/* manage the mouse movements */
void manage_mouse_cursor(World *world, int x, int y)
{
  cursor_x = 100. * (float)x / (float)world->size_x;
  cursor_y = 100. - 100. * (float)y / (float)world->size_y;
}


