/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __game_config_h__
#define __game_config_h__

#include "game.h"

/* Read the list of levels and set the DLevel list */
int load_levels_list(World *world, char *lev_list);

/* Remove the loaded levels */
void remove_levels(World *world);

/* Delete the current level */
int delete_game_level(World *world);

/* Draw the game config screen */
int draw_game_config(Game *game);

/* Deal with the input when in the game config mode */
int manage_game_config_input(Game *game, int key);

/* Draw the end game screen */
int draw_end_game(Game *game);

/* Deal with the input when in the end game screen */
int manage_end_game_input(Game *game, int key);

#endif /* __game_config_h__ */
