/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __map_texture_h__
#define __map_texture_h__

#include "map.h"

/* Load all the component textures required to make the whole map texture,
   return TRUE if all textures loaded */
int load_mini_textures(Map *map);

/* Generate a map texture, based on smaller textures, and the shape of the map,
   return FALSE if unable to generate texture */
int generate_map_texture(Map *map);

/* Remake the map texture, using the values present */
int regen_map_texture(Map *map);

#endif /* __map_texture_h__ */
