/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __update_h__
#define __update_h__

#include "world.h"

/* Prototypes */
/* Update the dynamic objects in the world */
void update_world(World *world, float dt);

/* user counters */
#define MAX_COUNTERS 16
/* start a counter (given by its number) */
void reset_counter(int);
/* give the elapsed time for the given counter */
double get_counter(int);

/* set the min. time per frame in microsec (to save computation time) */
void set_min_tpf(int usec);
/* reset frame rate to its default value */
void reset_min_tpf();


#endif /* __update_h__ */
